Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365927 - ERROR: dup error: 2
Summary: ERROR: dup error: 2
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: synergy
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 14:15 UTC by Jesus M. Rodriguez
Modified: 2017-08-08 16:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:24:04 UTC


Attachments (Terms of Use)
log file from synergys run (deleted)
2016-08-10 14:16 UTC, Jesus M. Rodriguez
no flags Details

Description Jesus M. Rodriguez 2016-08-10 14:15:47 UTC
Description of problem:
Random crashes from synergy.

[2016-08-08T12:17:13] ERROR: dup error: 2
    /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/arch/unix/ArchDaemonUnix.cpp,122


Version-Release number of selected component (if applicable):
[jesusr@transam ~]$ rpm -qa | grep synergy
synergy-1.7.6-1.fc24.x86_64


How reproducible:


Steps to Reproduce:
1. Start synergys
synergys --daemon --config /home/devel/jesusr/.synergy.conf --log /home/devel/jesusr/synergys.log

2. Start synergyc on client:
synergyc --daemon --name camaro

3. Use normally, random crash where mouse won't go to client computer. Look at log see dup error: 2

Actual results:
Mouse won't transfer to client computer

Expected results:
Mouse transfer to client computer with ease.

Additional info:

Comment 1 Jesus M. Rodriguez 2016-08-10 14:16:24 UTC
Created attachment 1189651 [details]
log file from synergys run

Comment 3 Jesus M. Rodriguez 2016-08-10 14:22:43 UTC
Server still shows as running:
[root@transam audit]# ps aux | grep synerg
jesusr   23619  0.2  0.0 633796 31988 ?        Ssl  Aug09   2:59 synergys --daemon --config /home/devel/jesusr/.synergy.conf --log /home/devel/jesusr/synergys.log

Comment 4 Jesus M. Rodriguez 2016-08-10 14:22:54 UTC
root@transam audit]# strace -p 23619
strace: Process 23619 attached
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133687, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133689, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133691, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133693, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133695, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133697, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133699, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133701, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133703, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133705, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133707, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133709, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133711, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133713, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133715, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133717, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133719, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710670, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133721, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133723, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133725, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133727, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133729, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133731, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133733, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133735, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133737, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133739, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133741, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133743, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133745, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133747, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133749, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133751, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133753, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133755, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133757, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133759, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133761, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133763, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133765, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133767, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133769, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133771, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133773, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133775, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133777, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133779, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133781, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133783, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133785, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133787, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133789, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133791, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133793, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133795, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133797, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133799, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133801, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133803, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133805, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133807, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133809, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133811, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133813, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133815, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133817, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133819, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133821, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133823, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133825, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133827, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133829, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133831, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133833, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133835, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133837, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133839, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133841, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133843, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133845, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133847, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133849, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133851, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133853, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133855, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133857, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133859, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133861, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133863, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133865, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710670, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133867, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133869, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133871, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133873, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133875, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133877, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133879, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133881, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133883, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133885, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133887, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133889, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133891, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133893, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133895, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133897, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133899, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133901, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133903, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133905, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133907, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133909, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133911, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133913, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133915, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133917, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133919, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133921, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133923, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133925, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133927, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133929, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133931, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133933, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133935, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133937, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133939, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133941, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133943, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133945, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133947, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133949, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133951, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133953, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133955, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133957, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133959, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133961, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133963, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133965, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133967, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133969, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133971, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133973, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133975, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133977, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133979, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133981, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133983, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710670, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133985, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133987, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133989, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133991, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133993, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133995, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133997, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 133999, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134001, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134003, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134005, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134007, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134009, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134011, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134013, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134015, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134017, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134019, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134021, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134023, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134025, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134027, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134029, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134031, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134033, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134035, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134037, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134039, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134041, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134043, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134045, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134047, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134049, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134051, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134053, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134055, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134057, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134059, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134061, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134063, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134065, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134067, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134069, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134071, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134073, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134075, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134077, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134079, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134081, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134083, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134085, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134087, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134089, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134091, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134093, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134095, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134097, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134099, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134101, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134103, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134105, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134107, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134109, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134111, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134113, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134115, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134117, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134119, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134121, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134123, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134125, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134127, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134129, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134131, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134133, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134135, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134137, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134139, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134141, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134143, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134145, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134147, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134149, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134151, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134153, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134155, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134157, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134159, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134161, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134163, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134165, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134167, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134169, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134171, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134173, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134175, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134177, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134179, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134181, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134183, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134185, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134187, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134189, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134191, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134193, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134195, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134197, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134199, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134201, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134203, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134205, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134207, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134209, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134211, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134213, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134215, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134217, NULL) = 0
futex(0x55db97711210, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x55db97710674, FUTEX_WAIT_PRIVATE, 134219, NULL^Cstrace: Process 23619 detached

Comment 5 Jesus M. Rodriguez 2016-08-10 14:24:23 UTC
Client information:
[jesusr@speed3 log]$ rpm -qa | grep synergy
synergy-1.7.6-1.fc24.x86_64

journalctl -f shows:

Aug 10 10:21:11 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:11] DEBUG: can't open plugins dir: /home/jesusr/.synergy/plugins
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/arch/unix/ArchPluginUnix.cpp,60
Aug 10 10:21:11 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:11] DEBUG: XOpenDisplay(":0")
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/platform/XWindowsScreen.cpp,920
Aug 10 10:21:11 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:11] DEBUG: xscreensaver window: 0x00000000
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/platform/XWindowsScreenSaver.cpp,346
Aug 10 10:21:11 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:11] DEBUG: screen shape: 0,0 3840x1200 (xinerama)
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/platform/XWindowsScreen.cpp,150
Aug 10 10:21:11 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:11] DEBUG: window is 0x02200004
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/platform/XWindowsScreen.cpp,151
Aug 10 10:21:11 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:11] DEBUG: adopting new buffer
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/base/EventQueue.cpp,180
Aug 10 10:21:11 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:11] DEBUG: opened display
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/synergy/Screen.cpp,49
Aug 10 10:21:11 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:11] NOTE: started client
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/synergy/ClientApp.cpp,404
Aug 10 10:21:11 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:11] NOTE: connecting to 'transam.rdu.redhat.com': 10.13.56.1:24800
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/client/Client.cpp,161
Aug 10 10:21:11 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:11] DEBUG: event queue is ready
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/base/EventQueue.cpp,118
Aug 10 10:21:26 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:26] WARNING: failed to connect to server: Timed out
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/synergy/ClientApp.cpp,312
Aug 10 10:21:26 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:26] DEBUG: retry in 1 seconds
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/synergy/ClientApp.cpp,284
Aug 10 10:21:27 speed3 synergyc[12262]: Synergy 1.7.6: [2016-08-10T10:21:27] NOTE: connecting to 'transam.rdu.redhat.com': 10.13.56.1:24800
                                                /builddir/build/BUILD/synergy-1.7.6-stable/src/lib/client/Client.cpp,161

Comment 6 Jesus M. Rodriguez 2016-08-10 14:26:13 UTC
I have restarted the client a few times. Only way to re-establish connection is to kill synergys server, and relaunch. Connection established.

Comment 7 Trevor Cordes 2016-09-27 09:12:19 UTC
Probably a dupe of bug #1370306

Comment 8 Fedora End Of Life 2017-07-25 22:21:34 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2017-08-08 16:24:04 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.